import * as widgets from '@jupyter-widgets/base';
export declare class AxisModel extends widgets.WidgetModel {
    defaults(): {
        _model_name: string;
        _view_name: string;
        _model_module: string;
        _view_module: string;
        _model_module_version: string;
        _view_module_version: string;
        orientation: string;
        side: any;
        label: string;
        grid_lines: string;
        tick_format: any;
        tick_labels: any;
        scale: any;
        num_ticks: any;
        tick_values: any[];
        offset: {};
        label_location: string;
        label_color: any;
        grid_color: any;
        color: any;
        label_offset: any;
        visible: boolean;
        tick_style: {};
        tick_rotate: number;
    };
    initialize(attributes: any, options: any): void;
    validate_side(): void;
    validate_orientation(): void;
    static serializers: {
        scale: {
            deserialize: typeof widgets.unpack_models;
        };
        offset: {
            deserialize: typeof widgets.unpack_models;
        };
        tick_values: {
            deserialize: (data: any, manager: any) => any;
            serialize: (data: any, manager: any) => any;
        };
    };
}
export declare class ColorAxisModel extends AxisModel {
    defaults(): {
        _model_name: string;
        _view_name: string;
        _model_module: string;
        _view_module: string;
        _model_module_version: string;
        _view_module_version: string;
        orientation: string;
        side: any;
        label: string;
        grid_lines: string;
        tick_format: any;
        tick_labels: any;
        scale: any;
        num_ticks: any;
        tick_values: any[];
        offset: {};
        label_location: string;
        label_color: any;
        grid_color: any;
        color: any;
        label_offset: any;
        visible: boolean;
        tick_style: {};
        tick_rotate: number;
    };
}
