import { MarkModel } from './MarkModel';
export declare class MapModel extends MarkModel {
    defaults(): {
        _model_name: string;
        _view_name: string;
        color: {};
        hover_highlight: boolean;
        hovered_styles: {
            hovered_fill: string;
            hovered_stroke: any;
            hovered_stroke_width: number;
        };
        stroke_color: any;
        default_color: any;
        scales_metadata: {
            color: {
                dimension: string;
            };
            projection: {
                dimension: string;
            };
        };
        selected_styles: {
            selected_fill: string;
            selected_stroke: any;
            selected_stroke_width: number;
        };
        map_data: any;
        _model_module: string;
        _view_module: string;
        _model_module_version: string;
        _view_module_version: string;
        scales: {};
        preserve_domain: {};
        display_legend: boolean;
        labels: any[];
        apply_clip: boolean;
        visible: boolean;
        selected_style: {};
        unselected_style: {};
        selected: any;
        enable_hover: boolean;
        tooltip: any;
        tooltip_style: {
            opacity: number;
        };
        interactions: {
            hover: string;
        };
        tooltip_location: string;
    };
    initialize(attributes: any, options: any): void;
    update_data(): void;
    update_properties(d: any): void;
    color_data_updated(): void;
    update_domains(): void;
    get_data_dict(data: any, index: any): any;
    geodata: any[];
    color_data: {
        [key: string]: number;
    };
}
