import * as widgets from '@jupyter-widgets/base';
export declare class MarketMapModel extends widgets.WidgetModel {
    defaults(): {
        _model_name: string;
        _view_name: string;
        _model_module: string;
        _view_module: string;
        _model_module_version: string;
        _view_module_version: string;
        map_width: number;
        map_height: number;
        names: any[];
        groups: any[];
        display_text: any[];
        ref_data: any;
        title: string;
        tooltip_fields: any[];
        tooltip_formats: any[];
        show_groups: boolean;
        cols: number;
        rows: number;
        row_groups: number;
        colors: string[];
        scales: {};
        axes: any[];
        color: any[];
        map_margin: {
            top: number;
            right: number;
            left: number;
            bottom: number;
        };
        preserve_aspect: boolean;
        stroke: string;
        group_stroke: string;
        selected_stroke: string;
        hovered_stroke: string;
        font_style: {};
        title_style: {};
        selected: any[];
        enable_hover: boolean;
        enable_select: boolean;
        tooltip_widget: any;
    };
    static serializers: {
        scales: {
            deserialize: typeof widgets.unpack_models;
        };
        axes: {
            deserialize: typeof widgets.unpack_models;
        };
        tooltip_widget: {
            deserialize: typeof widgets.unpack_models;
        };
        style: {
            deserialize: typeof widgets.unpack_models;
        };
        layout: {
            deserialize: typeof widgets.unpack_models;
        };
        names: {
            deserialize: (data: any, manager: any) => any;
            serialize: (data: any, manager: any) => any;
        };
        groups: {
            deserialize: (data: any, manager: any) => any;
            serialize: (data: any, manager: any) => any;
        };
        display_text: {
            deserialize: (data: any, manager: any) => any;
            serialize: (data: any, manager: any) => any;
        };
        color: {
            deserialize: (data: any, manager: any) => any;
            serialize: (data: any, manager: any) => any;
        };
    };
}
