import { ScaleModel } from './ScaleModel';
export declare class OrdinalScaleModel extends ScaleModel {
    defaults(): {
        _model_name: string;
        _view_name: string;
        domain: any[];
        _model_module: string;
        _view_module: string;
        _model_module_version: string;
        _view_module_version: string;
        reverse: boolean;
        allow_padding: boolean;
    };
    typedRange(values: any): any;
    initialize(attributes: any, options: any): void;
    set_init_state(): void;
    set_listeners(): void;
    domain_changed(): void;
    reverse_changed(model?: any): void;
    update_domain(): void;
    compute_and_set_domain(data_array: any, id: any): void;
    min_from_data: boolean;
    max_from_data: boolean;
    ord_domain: any;
}
