import { WidgetModel } from '@jupyter-widgets/base';
export declare abstract class ScaleModel extends WidgetModel {
    defaults(): {
        _model_name: string;
        _view_name: string;
        _model_module: string;
        _view_module: string;
        _model_module_version: string;
        _view_module_version: string;
        reverse: boolean;
        allow_padding: boolean;
    };
    initialize(attributes: any, options: any): void;
    set_init_state(): void;
    set_listeners(): void;
    set_domain(domain: any, id: any): void;
    del_domain(domain: any, id: any): void;
    get_domain_slice_in_order(): any[];
    abstract compute_and_set_domain(data_array: any, id: any): any;
    abstract update_domain(): any;
    domains: any;
    domain: any[];
    reverse: boolean;
    type: string;
}
