import { MarkModel } from './MarkModel';
export declare class ScatterGLModel extends MarkModel {
    defaults(): {
        _model_name: string;
        _view_name: string;
        x: any[];
        y: any[];
        color: any;
        skew: any;
        marker: string;
        stroke: any;
        stroke_width: number;
        default_skew: number;
        default_size: number;
        names: any[];
        display_names: boolean;
        fill: boolean;
        drag_color: any;
        drag_size: number;
        names_unique: boolean;
        _model_module: string;
        _view_module: string;
        _model_module_version: string;
        _view_module_version: string;
        scales: {};
        scales_metadata: {};
        preserve_domain: {};
        display_legend: boolean;
        labels: any[];
        apply_clip: boolean;
        visible: boolean;
        selected_style: {};
        unselected_style: {};
        selected: any;
        enable_hover: boolean;
        tooltip: any;
        tooltip_style: {
            opacity: number;
        };
        interactions: {
            hover: string;
        };
        tooltip_location: string;
    };
    initialize(attributes: any, options: any): void;
    update_domains(): void;
    static serializers: {
        x: {
            deserialize: (data: any, manager: any) => any;
            serialize: (data: any, manager: any) => any;
        };
        y: {
            deserialize: (data: any, manager: any) => any;
            serialize: (data: any, manager: any) => any;
        };
        color: {
            deserialize: (data: any, manager: any) => any;
            serialize: (data: any, manager: any) => any;
        };
        size: {
            deserialize: (data: any, manager: any) => any;
            serialize: (data: any, manager: any) => any;
        };
        rotation: {
            deserialize: (data: any, manager: any) => any;
            serialize: (data: any, manager: any) => any;
        };
        opacity: {
            deserialize: (data: any, manager: any) => any;
            serialize: (data: any, manager: any) => any;
        };
        opacities: {
            deserialize: (data: any, manager: any) => any;
            serialize: (data: any, manager: any) => any;
        };
        scales: {
            deserialize: typeof import("@jupyter-widgets/base").unpack_models;
        };
        tooltip: {
            deserialize: typeof import("@jupyter-widgets/base").unpack_models;
        };
        selected: {
            deserialize: (data: any, manager: any) => any;
            serialize: (data: any, manager: any) => any;
        };
    };
}
