import * as d3 from 'd3';
import { Axis } from './Axis';
import { ColorScale } from './ColorScale';
declare class ColorBar extends Axis {
    render(): Promise<void>;
    create_listeners(): void;
    create_axis(): void;
    update_display(): void;
    set_scale(model: any): Promise<void>;
    append_axis(): void;
    draw_color_bar(): void;
    get_topg_transform(): string;
    get_label_transform(): string;
    get_colorbar_transform(): string;
    set_axisline_scale_range(): void;
    set_scales_range(): void;
    get_color_bar_width(): number;
    update_label(): void;
    rescale_axis(): void;
    redraw_axisline(): void;
    set_axisline_domain(): void;
    redraw_axis(): void;
    axis_scale: ColorScale;
    axis_line_scale: d3.ScaleLinear<number, number> | d3.ScaleTime<number, number> | d3.ScaleBand<string>;
    ordinal: boolean;
    bar_height: number;
    side: string;
    x_offset: number;
    y_offset: number;
    num_ticks: number;
    colors: number[];
}
export { ColorBar as ColorAxis };
