import * as d3 from 'd3';
import * as widgets from '@jupyter-widgets/base';
import { GeoScaleModel } from './GeoScaleModel';
export declare class GeoScale extends widgets.WidgetView {
    render(): void;
    set_projection(): void;
    reset_scale(): void;
    path: d3.GeoPath<any, d3.GeoPermissibleObjects>;
    scale: d3.GeoProjection;
    model: GeoScaleModel;
}
export declare class Mercator extends GeoScale {
}
export declare class Albers extends GeoScale {
}
export declare class AlbersUSA extends GeoScale {
}
export declare class EquiRectangular extends GeoScale {
}
export declare class Orthographic extends GeoScale {
}
export declare class Gnomonic extends GeoScale {
}
export declare class Stereographic extends GeoScale {
}
