"use strict";
/* Copyright 2015 Bloomberg Finance L.P.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MarketMapModel = void 0;
const widgets = __importStar(require("@jupyter-widgets/base"));
const d3 = __importStar(require("d3"));
const serialize = __importStar(require("./serialize"));
const version_1 = require("./version");
class MarketMapModel extends widgets.WidgetModel {
    defaults() {
        return Object.assign(Object.assign({}, widgets.WidgetModel.prototype.defaults()), { _model_name: 'MarketMapModel', _view_name: 'MarketMap', _model_module: 'bqplot', _view_module: 'bqplot', _model_module_version: version_1.semver_range, _view_module_version: version_1.semver_range, map_width: 1080, map_height: 800, names: [], groups: [], display_text: [], ref_data: undefined, title: '', tooltip_fields: [], tooltip_formats: [], show_groups: false, cols: 0, rows: 0, row_groups: 1, colors: d3.scaleOrdinal(d3.schemeCategory10).range(), scales: {}, axes: [], color: [], map_margin: {
                top: 50,
                right: 50,
                left: 50,
                bottom: 50,
            }, preserve_aspect: false, stroke: 'white', group_stroke: 'black', selected_stroke: 'dodgerblue', hovered_stroke: 'orangered', font_style: {}, title_style: {}, selected: [], enable_hover: true, enable_select: true, tooltip_widget: null });
    }
}
exports.MarketMapModel = MarketMapModel;
MarketMapModel.serializers = Object.assign(Object.assign({}, widgets.WidgetModel.serializers), { scales: { deserialize: widgets.unpack_models }, axes: { deserialize: widgets.unpack_models }, tooltip_widget: { deserialize: widgets.unpack_models }, style: { deserialize: widgets.unpack_models }, layout: { deserialize: widgets.unpack_models }, names: serialize.array_or_json_serializer, groups: serialize.array_or_json_serializer, display_text: serialize.array_or_json_serializer, color: serialize.array_or_json_serializer });
//# sourceMappingURL=MarketMapModel.js.map