import * as widgets from '@jupyter-widgets/base';
export declare class PanZoomModel extends widgets.WidgetModel {
    defaults(): {
        _model_name: string;
        _view_name: string;
        _model_module: string;
        _view_module: string;
        _model_module_version: string;
        _view_module_version: string;
        scales: {};
        allow_pan: boolean;
        allow_zoom: boolean;
    };
    initialize(attributes: any, options: any): void;
    reset_scales(): void;
    snapshot_scales(): void;
    static serializers: {
        scales: {
            deserialize: typeof widgets.unpack_models;
        };
    };
    scales_states: {
        [key: string]: any[];
    };
}
